/*
This query retrieves all rows in the table
*/
select * from family;

/*
This query retrieves all "Pierre-Louis" children in the database
*/
select child.* from family child
inner join family anc on child.father = anc.id
and anc.first_name = 'Pierre-Louis';

/*
This query retrieves Suzanne's mother in the database
*/
select parent.* from family parent
inner join family child on child.mother = parent.id
and child.first_name = 'Suzanne';
