/*
 * ===========================
 * VDK Visual Development Kit
 * odbc subsystem
 * Version 0.1
 * Revision 0.0
 * January 2001
 * ===========================
 *
 * Copyright (C) 2001, Mario Motta
 * Developed by Pierre-Louis Malatray <pierrelouis.malatray@free.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */ 
#include <vdkodbc/vdkodbcpriv.h>

/*
 */
void
VDKODBCPriv::SetValue(int index, const char *value)
{
	switch (index) {
		case VDKODBC_PRIV_GRANTOR:
			Grantor = value;
			break;
		case VDKODBC_PRIV_GRANTEE:
			Grantee = value;
			break;
		case VDKODBC_PRIV_PRIV:
			Privilege = value;
			break;
		case VDKODBC_PRIV_GRANTABLE:
			Grantable = value;
			break;
	}
}



